inset and extrude sometime broken
Open, Needs TriagePublic

Description

System Information
Win7 x64

Blender Version
Broken: latest master
Worked: 2.74 (only for extrude)

Short description of error
Some faces can't be inseted or extruded correctly using E or I

Exact steps for others to reproduce the error
Open attached file.


Hit E and move the mouse, nothing happens. Go to the T Panel and change the extrude Z value, it now works. (so only the modal mouse move are broken?). On 2.74, it works.
Or hit I and move the mouse, the Inset is completly weird. On 2.74, it doesn't work either.

Note that the scale is 0 on Z. But I never set this value to 0 and anyway, with a scale of 0, it shouldn't look like that? Nor shouldn't it extrude on Z in the T panel after calling extrude?

Very weird case, but real one.

Details

Type
Bug

I can confirm the issue with your file, but I can't reproduce it. How did you get a polygon like that? Looks like it has issues with vertex order.

Here I extruded the individual vertices and created a face:

Edit: Also the face angles are messed up:

Is the mesh generated from a script?

The values of Local transforms are all over the place.
i.e. Z transform Local is 1048576.0 for the whole selection
The bottom vertices have Local Z coordinates of 1728871137280.0 and -1728019693568.0
If not can you please give a simple way of reproducing the issue with the geometry from the default cube, or is it something that happens rarely under certain conditions?

The tools behave properly if the Apply scale is applied.

What caused the scale issues?

Vuk Gardašević (lijenstina) triaged this task as "Incomplete" priority.Jan 22 2017, 12:19 AM

Setting as incomplete until the additional information is provided.

Aaron Carlisle (Blendify) closed this task as "Archived".Feb 2 2017, 7:41 AM
Aaron Carlisle (Blendify) claimed this task.

No news in over a week. DO to the policy of this bug tracker we have to archive this issue. If the information is provided then it can be re opened.

This object with this mesh "happened" during work, without script. Sadly, I just noticed the weird behavior to late. The last steps I could remember I did, didn't permit to recreate the bug.
Applying the scale indeed resolves the problem.
But still, why does the extrude properly work on 2.74 and not in master?
Well, I guess it's not a that problematic if this bug stays in master, it seems to only happen very rarely anyway. and 2.74 allowing to extrude an object in a direction that is scaled to 0 is non-sens anyway.
As the steps to lead to that mesh are nearly impossible to find, we can just let it archived until someone get the same problem.

Aaron Carlisle (Blendify) reopened this task as "Open".Feb 11 2017, 1:15 AM
Aaron Carlisle (Blendify) raised the priority of this task from "Incomplete" to "Needs Triage".